import es
import urllib
import popuplib
import langlib

info = es.AddonInfo()
info.name = 'TSAdmin by Freigeist'
info.version = '1.0.0'
info.url = 'http://addons.eventscripts.com/addons/view/tsadmin'
info.basename = 'tsadmin'
info.author = 'Freigeist'

###########
# Globals #
###########
lang = langlib.Strings(es.getAddonPath('tsadmin') + '/tsadmin.lng.ini')
secret = "93rzfoqenfh98qz3"
url = "http://DOMAIN.TLD/ts/"

#############
# Functions #
#############

def load():
	es.set('tsadmin_version', info.version)
	es.makepublic('tsadmin_version')
	if not es.exists('saycommand', '!tsadmin'):
		es.regsaycmd('!tsadmin', 'tsadmin/tsadmin')

def unload():
	es.unregsaycmd('!tsadmin')

def tsadmin():
	userid = es.getcmduserid()
	send_popup(userid)

def tsadmincall():
	userid = es.getcmduserid()
	popupchoice = es.getInt('_popup_choice')
	if popupchoice == 1:
		steamid = urllib.quote(es.getplayersteamid(userid))
		name = urllib.quote(es.getplayername(userid))
		serverip = urllib.quote(str(es.server_var['ip']))
		serverport = urllib.quote(str(es.server_var['hostport']))
		mURL = "%sindex.php?secret=%s&name=%s&id=%s&serverip=%s&serverport=%s" % (url,secret,name,steamid,serverip,serverport)
		f = urllib.urlopen(mURL)
		f.close()
		es.tell(userid, "#multi", "#greenEs wurde eine Nachricht auf den TS gesendet!")
		es.log("[TSAdmin] %s (%s) has called an Admin!"%(es.getplayername(userid),es.getplayersteamid(userid)))
	else:
		if popupchoice != 2:
			send_popup(userid)

def send_popup(userid):
	tokens = {}
	str_abuse = lang("abuse", tokens, playerlib.getPlayer(userid).get("lang"))
	str_really_call = lang("really_call", tokens, playerlib.getPlayer(userid).get("lang"))
	str_yes = lang("yes", tokens, playerlib.getPlayer(userid).get("lang"))
	str_no = lang("no", tokens, playerlib.getPlayer(userid).get("lang"))
	vars = (str_abuse,str_really_call,str_yes,str_no)
	popuplib.quicksend(0, userid, "TS Admin Call\n============\n%s\n%s\n\n============\n->1. %s\n->2. %s"%vars, 'tsadmin/tsadmincall')